package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRoleData;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleDataSearchContext;

/**
 * 实体[UserRoleData] 服务对象接口
 */

public interface IUserRoleDataService{
     boolean checkKey(UserRoleData userRoleData) ;
     UserRoleData getDraft(UserRoleData userRoleData) ;
     UserRoleData getUserRoleDataAPI(UserRoleData userRoleData) ;
     UserRoleData get(String userRoleDataId) ;
     UserRoleData get(UserRoleData userRoleData) ;
     boolean remove(String userRoleDataId) ;
     UserRoleData hasPermissionGV(UserRoleData userRoleData) ;
     boolean create(UserRoleData userRoleData) ;
     boolean update(UserRoleData userRoleData) ;
     UserRoleData hasPermissionEV(UserRoleData userRoleData) ;
     boolean save(UserRoleData userRoleData) ;
     UserRoleData syncData(UserRoleData userRoleData) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRoleData> searchDefault(UserRoleDataSearchContext context) ;

    /**
     * 根据业务实体查询
     */
     Page<UserRoleData> selectByDataEntity(String dataentityid) ;
     List<UserRoleData> selectByDataEntity2(String dataentityid);

}
